@use '@angular/material' as mat;
@use 'palette';
@use 'typography';

// Define a default light theme.
$light-primary: mat.define-palette(palette.$emp-purple);
$light-accent: mat.define-palette(palette.$emp-green, 500);
$light-warn: mat.define-palette(palette.$emp-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$emp-light-theme: mat.define-light-theme(
  (
    color: (
      primary: $light-primary,
      accent: $light-accent,
      warn: $light-warn,
    ),
    typography: typography.$app-typography,
  )
);


// Define an alternate dark theme.
$dark-primary: mat.define-palette(mat.$amber-palette);
$dark-accent: mat.define-palette(mat.$indigo-palette, 500);
$dark-warn: mat.define-palette(palette.$emp-red);

$emp-dark-theme: mat.define-dark-theme(
  (
    color: (
      primary: $dark-primary,
      accent: $dark-accent,
      warn: $dark-warn,
    ),
    typography: typography.$kids-typography,
  )
);
